This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 19:52
Elapsed6m47s
Revision
Builder0ee3550c-7389-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/ed68b6e7-c5a2-49b9-a273-8086a2cc12d8/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/ed68b6e7-c5a2-49b9-a273-8086a2cc12d8/targets/test
infra-commitc5591d3c2

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 19:52:45.746] process 29 exited with code 0 after 0.0m
I0331 19:52:45.747] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 19:52:45.747] Root: /workspace
I0331 19:52:45.747] cd to /workspace
I0331 19:52:45.747] Configure environment...
I0331 19:52:45.747] Call:  git show -s --format=format:%ct HEAD
W0331 19:52:45.755] fatal: not a git repository (or any of the parent directories): .git
I0331 19:52:45.755] process 42 exited with code 128 after 0.0m
W0331 19:52:45.755] Unable to print commit date for HEAD
I0331 19:52:45.756] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 19:52:46.271] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 19:52:47.168] process 43 exited with code 0 after 0.0m
I0331 19:52:47.168] Call:  gcloud config get-value account
I0331 19:52:48.058] process 56 exited with code 0 after 0.0m
I0331 19:52:48.058] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 19:52:48.058] Start 1245076442157420544 at ...
I0331 19:52:48.060] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_dRpYQR gs://kubernetes-jenkins/logs/metrics-kettle/1245076442157420544/started.json
I0331 19:52:50.569] process 69 exited with code 0 after 0.0m
I0331 19:52:50.569] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 19:52:50.599] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0331 19:59:23.908] ERROR: table k8s-gubernator:build.all is 12.9 hours old. Max allowed: 6 hours.
I0331 19:59:23.909] ERROR: table k8s-gubernator:build.week is 13.1 hours old. Max allowed: 6 hours.
I0331 19:59:23.909] ERROR: table k8s-gubernator:build.day is 12.6 hours old. Max allowed: 6 hours.
I0331 19:59:23.909] Collected data:
I0331 19:59:23.909] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0331 19:59:23.909] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0331 19:59:23.909] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0331 19:59:23.910] 
W0331 19:59:23.998] Traceback (most recent call last):
... skipping 22 lines ...
W0331 19:59:24.001]     self.send(msg)
W0331 19:59:24.001]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 19:59:24.001]     self.connect()
W0331 19:59:24.002]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 19:59:24.002]     conn = self._new_conn()
W0331 19:59:24.002]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 19:59:24.003]     self, "Failed to establish a new connection: %s" % e
W0331 19:59:24.003] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f38805572e8>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 19:59:24.003] 
W0331 19:59:24.003] During handling of the above exception, another exception occurred:
W0331 19:59:24.003] 
W0331 19:59:24.003] Traceback (most recent call last):
W0331 19:59:24.003]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 19:59:24.004]     timeout=timeout
W0331 19:59:24.004]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 19:59:24.004]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 19:59:24.004]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 19:59:24.004]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 19:59:24.005] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f38805572e8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 19:59:24.005] 
W0331 19:59:24.005] During handling of the above exception, another exception occurred:
W0331 19:59:24.005] 
W0331 19:59:24.005] Traceback (most recent call last):
W0331 19:59:24.005]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 19:59:24.005]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 19:59:24.007]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 19:59:24.007]     resp = self.send(prep, **send_kwargs)
W0331 19:59:24.007]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 19:59:24.007]     r = adapter.send(request, **kwargs)
W0331 19:59:24.007]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 19:59:24.007]     raise ConnectionError(e, request=request)
W0331 19:59:24.008] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f38805572e8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 19:59:24.008] Traceback (most recent call last):
W0331 19:59:24.008]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 19:59:24.008]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 19:59:24.008]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 19:59:24.008]     check(*cmd)
W0331 19:59:24.009]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 19:59:24.009]     subprocess.check_call(cmd)
W0331 19:59:24.009]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 19:59:24.009]     raise CalledProcessError(retcode, cmd)
W0331 19:59:24.009] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 19:59:24.010] Command failed
I0331 19:59:24.010] process 251 exited with code 1 after 6.6m
E0331 19:59:24.010] FAIL: metrics-kettle
I0331 19:59:24.011] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 19:59:24.515] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 19:59:25.153] process 255 exited with code 0 after 0.0m
I0331 19:59:25.153] Call:  gcloud config get-value account
I0331 19:59:26.054] process 267 exited with code 0 after 0.0m
I0331 19:59:26.054] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 19:59:26.054] Upload result and artifacts...
I0331 19:59:26.054] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245076442157420544
W0331 19:59:26.055] Missing local artifacts : /workspace/_artifacts
W0331 19:59:26.055] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 19:59:26.055] metadata not found or invalid, init with empty metadata
I0331 19:59:26.055] Call:  git rev-parse HEAD
W0331 19:59:26.060] fatal: not a git repository (or any of the parent directories): .git
E0331 19:59:26.061] Command failed
I0331 19:59:26.061] process 280 exited with code 128 after 0.0m
I0331 19:59:26.061] Call:  git rev-parse HEAD
I0331 19:59:26.066] process 281 exited with code 0 after 0.0m
I0331 19:59:26.066] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 19:59:27.575] process 282 exited with code 0 after 0.0m
I0331 19:59:27.576] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585681110512794'
... skipping 8 lines ...